Subject: Segfault with grep-3.4 and pcre-8.44
From: Bruce Dubbs <[email-masked]>
To: [email-masked]
Date: Mon, 6 Apr 2020 15:54:47 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

In linuxfromscratch we normally build grep without pcre using:

./configure --prefix=/usr --bindir=/bin
make

It works fine.

Later after pcre is installed users can rebuild grep with exactly the 
same instructions, but with grep-3.4, I get a segfault with

grep --help

and all other command line entries.  Adding --disable-perl-regexp 
restores grep but of course removes pcre regex capabilities.

I went back and built grep-3.3 with pcre and everything worked with the 
same pcre library as above.

I did some preliminary gdb testing and got:

Reading symbols from src/grep...
(gdb) run --help
Starting program: /build/grep/grep-3.4/src/grep --help

Program received signal SIGSEGV, Segmentation fault.
0x000000000041cc03 in __libc_start_main ()
(gdb) bt
#0  0x000000000041cc03 in __libc_start_main ()
#1  0x000000000040715a in _start () at ../sysdeps/x86_64/start.S:120

We are using glibc-2.31 and gcc-9.2.0 if that makes a difference.

   -- Bruce Dubbs
      linuxfromscratch.org